Summary: A signal-forwarding process manager for containers
Name:    catatonit
Version: 0.2.0
Release: 1%{?dist}
License: GPLv3+
URL:     https://github.com/openSUSE/%{name}
Source0: %{url}/archive/v%{version}.tar.gz

BuildRequires: autoconf automake file libtool gcc git-core glibc-static make

%description
Catatonit is a %{_sbindir}/init program for use within containers. It forwards (almost) all signals
to the spawned child, tears down the container when the spawned child exits, and otherwise cleans up
other exited processes (zombies).

This is a reimplementation of other container init programs (such as "tini" or "dumb-init"), but
uses modern Linux facilities (such as signalfd(2)) and has no additional features.

%prep
%autosetup -Sgit %{name}-%{version}

%build
autoreconf -fi
%configure
CFLAGS="%{optflags} -fPIE -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE"
%make_build

file ./%{name} | grep 'statically linked'
if [ $? != 0 ]; then
   echo "ERROR: %{name} binary must be statically linked!"
   exit 1
fi

%install
install -Dp %{name} %{buildroot}%{_libexecdir}/%{name}/%{name}

%files
%license COPYING
%doc README.md
%dir %{_libexecdir}/%{name}
%{_libexecdir}/%{name}/%{name}

%changelog
* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 0.2.0-1
- Upgrade to version 0.2.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.1.7-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 8 2023 Shuo Wang <abushwang@tencent.com> - 0.1.7-1
- initial build
